<template>
  <div class="flex flex-col justify-center items-center">
    <logo top="white" middle="white" bottom="white" :class="[bgPrimary, logoBaseClasses]"/>
    <p :class="[bgPrimary, titleBaseClasses]">
      Organize & host your hackahon
    </p>
    <svg :viewBox="`0 0 ${svgWidth} ${svgHeight}`" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path :d="`M${svgWidth} ${svgHeight}L0 0H${svgWidth}V${svgHeight}Z`" :fill="primaryColor"/>
    </svg>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    primaryClass: String,
    primaryColor: String,
  },
  data: function() {
    return {
      logoBaseClasses: 'w-screen h-64',
      titleBaseClasses: 'p-8 font-bold text-white text-4xl text-center w-screen',
    };
  },
  computed: {
    svgWidth(): number {
      return +window.innerWidth;
    },

    svgHeight(): number {
      return +window.innerWidth / 12;
    },

    bgPrimary(): string {
      return 'bg-' + this.primaryClass;
    },
  },
});
</script>
